qpid-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Rob Godfrey <rob.j.godf...@gmail.com>
Subject Re: Is it possible to run qpid-0.14 c++ broker with lower 0-9 amqp specification?
Date Fri, 27 Apr 2012 09:02:19 GMT
That is a SASL negotiation failure... SASL is used to negotiate the
authentication mechanism used by the client (e.g. plain text
passwords).

By default the Java Broker requires a plain text username/password and
the default configuration should have an account with username
"guest", password "guest".

Are you providing a username/password when you try to connect?

-- Rob

On 27 April 2012 10:25, Zhihua Che <zhihua.che@gmail.com> wrote:
> 在 2012年4月26日 下午5:01,Rob Godfrey <rob.j.godfrey@gmail.com> 写道:
>> On 26 April 2012 10:55, Zhihua Che <zhihua.che@gmail.com> wrote:
>>> 在 2012年4月26日 下午4:26,Rob Godfrey <rob.j.godfrey@gmail.com>
写道:
>>>> The documentation is a little out of date.
>>>>
>>>> The C++ Broker only support version 0-10 of the protocol, with support
>>>> for AMQP 1.0 coming soon.
>>>>
>>>> The Java Broker supports versions 0-8, 0-9, 0-9-1 and 0-10 with
>>>> support for AMQP 1.0 coming soon (you can check out the latest code
>>>> from svn to get initial AMQP 1.0 support).
>>>>
>>>> Why do you need to use AMQP 0-9?
>>>
>>> It's because our previous code use amqp 0-9 :-(
>>
>> Fair enough :-)
>>
>> The Qpid/Java broker should be able to work with your previous code
>> then... and if you wish to move to 0-10 in time, the broker is capable
>> of receiving messages in 0-9 and sending them out in 0-10 (or vice
>> versa) so you can mix clients between the older and more recent
>> versions of the protocol.
>
>
> According to what you said, I guess it is ok that C++ client can
> communicate with Java broker.
> However, I met this problem.
>
> I installed  the java broker 0.14 and also C++ client
> libqpidmessaging.so.2.0.0).
> When I connected the client to broker, the client complained
>
> 2012-04-27 16:10:02 warning Closing connection due to internal-error:
> Sasl error: SASL(-4): no mechanism available: No worthy mechs found
> (../../qpid/qpid/cpp/src/qpid/SaslFactory.cpp:280)
> terminate called after throwing an instance of
> 'qpid::messaging::ConnectionError'
>  what():  internal-error: Sasl error: SASL(-4): no mechanism
> available: No worthy mechs found
> (../../qpid/qpid/cpp/src/qpid/SaslFactory.cpp:280)
>
> Does this mean protocols doesn't match each other?
>
>
> I installed java broker and test
>
>
>> -- Rob
>>>
>>>>
>>>> Cheers,
>>>> Rob
>>>>
>>>> On 26 April 2012 10:21, Zhihua Che <zhihua.che@gmail.com> wrote:
>>>>> Hi,
>>>>>
>>>>>     I've installed a qpid-0.14 C++ broker and it works well? I wonder
>>>>> if it's ok to run this broker with 0-9 amqp specifications?
>>>>>     I found this statement in doc
>>>>>
>>>>> The python and ruby clients will also support all versions, but the
>>>>> API is dynamically driven by the specification used and so differs
>>>>> between versions. To work with the Java broker you must use 0-8 or
>>>>> 0-9, to work with the C++ broker you must use 0-10.
>>>>>
>>>>>    Does it mean I have to install java broker instead to use amqp 0-9?
>>>>>
>>>>> Thanks
>>>>>
>>>>> ---------------------------------------------------------------------
>>>>> To unsubscribe, e-mail: users-unsubscribe@qpid.apache.org
>>>>> For additional commands, e-mail: users-help@qpid.apache.org
>>>>>
>>>>
>>>> ---------------------------------------------------------------------
>>>> To unsubscribe, e-mail: users-unsubscribe@qpid.apache.org
>>>> For additional commands, e-mail: users-help@qpid.apache.org
>>>>
>>>
>>> ---------------------------------------------------------------------
>>> To unsubscribe, e-mail: users-unsubscribe@qpid.apache.org
>>> For additional commands, e-mail: users-help@qpid.apache.org
>>>
>>
>> ---------------------------------------------------------------------
>> To unsubscribe, e-mail: users-unsubscribe@qpid.apache.org
>> For additional commands, e-mail: users-help@qpid.apache.org
>>
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: users-unsubscribe@qpid.apache.org
> For additional commands, e-mail: users-help@qpid.apache.org
>

---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@qpid.apache.org
For additional commands, e-mail: users-help@qpid.apache.org


Mime
View raw message